<%--
MosP - Mind Open Source Project         http://www.mosp.jp/
Copyright (C) 1987-2008 MIND Co., Ltd.  http://www.e-mind.co.jp/

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
--%>
<%@ page
language     = "java"
pageEncoding = "Windows-31J"
buffer       = "16kb"
autoFlush    = "false"
errorPage    = "/jsp/common/error.jsp"
%><%@ page
import = "jp.mosp.common.common.MospConst"
import = "jp.mosp.common.common.HtmlUtility"
import = "jp.mosp.common.common.BaseVo"
%><%
response.setContentType(MospConst.RESPONSE_CONT_TYPE_XML);
BaseVo vo = (BaseVo)request.getAttribute(MospConst.ATT_VO);
String strXml = "";
if (vo == null) {
	StringBuffer xml = new StringBuffer();
	xml.append("<?xml version=\"1.0\" encoding=\"Shift-JIS\"?>");
	xml.append("<XmlRetCode>");
	xml.append(MospConst.EX_RUNTIME_ERR);
	xml.append("</XmlRetCode>");
	strXml = xml.toString();
} else if (vo.getDocXml() == null) {
	StringBuffer xml = new StringBuffer();
	xml.append("<?xml version=\"1.0\" encoding=\"Shift-JIS\"?>");
	xml.append("<XmlRetCode>");
	xml.append(MospConst.EX_RUNTIME_ERR);
	xml.append("</XmlRetCode>");
	strXml = xml.toString();
} else {
	strXml = vo.getStrDocXml();
}
%><%= strXml %>
